<!--
title: Variablen
description: Folien für Variablen in Programmieren 1
url: https://git.haw-hamburg.de/pm1-tutorium/slides
header: Programmieren 1 **Tutorium**
footer: Henri Burau und Eva Meinen
-->

# Variablen
Variablen sind das Behältnis für Werte in einer Programmiersprache. In Java
gibt es zwei Typen von Variablen:

* **Primitive Typen** `byte`, `short`, `char`, `int`, `long`, `double`, `float` und `boolean`
* **Referenztypen** z.B. `String`

---

## Deklaration und Initialisierung
* **Deklaration**: Das "Bekanntmachen" einer Variable.

  ```java
  byte a;
  ``` 

* **Initialisierung**: Das erstmalige Belegen einer Variable.
  
  ```java
  a = 10;
  ```

* Man kann auch in einer Zeile gleichzeitig deklarieren und initialisieren.

  ```java
  int b = -323;
  ```

---

## Identifier
Bezeichner für Methoden-, Variablen- und Klassennamen. Identifier müssen folgende Eigenschaften erfüllen um in Java gültig zu sein:

---

## Konventionen

---

## Literale

---

## Ausdrücke und Zuweisungen

---

## **Aufgaben**

---

	Variablen V1F69, V2F14ff
	* Welche Identifier sind erlaubt und sinnvoll? (keine Keywords)
	* Literale V2F14
	* Datentypen
	* Ausdrücke
	* Zuweisungen
	* Anweisung (Zeile getrennt durch ";")
